#!/usr/bin/python
import sys

def correct():
  print("OK")
  sys.exit(0)

def wrong_answer():
  print("Wrong answer")
  sys.exit(1)

def foo(a,b):
  while a != 0 and b != 0:
    if a >= b: a = a - b;
    if b >= a: b = b - a;
  if a == 0: return b
  if b == 0: return a

def bar(x):
  for i in range(1,x): # for i := 1 to x-1
    if foo(i,x) > 1: return False
  return True

# read a number from the input
n = int(sys.stdin.readline())

if n<100000000 or n>198765432 \
   or not bar(n) or not bar(n+18) \
   or not bar(n+36) or not bar(n+138) \
   or not bar(n+198) or not bar(n+240) \
   or not bar(n+258) or n%4 == 1: correct()

wrong_answer()
